/**
 * This jQuery plugin displays pagination links inside the selected elements.
 *
 * @author Gabriel Birke (birke *at* d-scribe *dot* de)
 * @version 1.2
 * @param {int} maxentries Number of entries to paginate
 * @param {Object} opts Several options (see README for documentation)
 * @return {Object} jQuery Object
 */
jQuery.fn.pagination=function(e,t){return t=jQuery.extend({items_per_page:10,num_display_entries:10,current_page:0,num_edge_entries:0,link_to:"#",prev_text:"Prev",next_text:"Next",ellipse_text:"...",prev_show_always:!0,next_show_always:!0,callback:function(){return!1}},t||{}),this.each(function(){function n(){return Math.ceil(e/t.items_per_page)}function a(){var e=Math.ceil(t.num_display_entries/2),a=n(),s=a-t.num_display_entries,r=_>e?Math.max(Math.min(_-e,s),0):0,i=_>e?Math.min(_+e,a):Math.min(t.num_display_entries,a);return[r,i]}function s(e,n){_=e,r();var a=t.callback(e,p);return a||(n.stopPropagation?n.stopPropagation():n.cancelBubble=!0),a}function r(){p.empty();var e=a(),r=n(),l=function(e){return function(t){return s(e,t)}},u=function(e,n){if(e=0>e?0:r>e?e:r-1,n=jQuery.extend({text:e+1,classes:""},n||{}),e==_)var a=jQuery("<span class='current'>"+n.text+"</span>");else var a=jQuery("<a>"+n.text+"</a>").bind("click",l(e)).attr("href",t.link_to.replace(/__id__/,e));n.classes&&a.addClass(n.classes),p.append(a)};if(t.prev_text&&(_>0||t.prev_show_always)&&u(_-1,{text:t.prev_text,classes:"prev"}),e[0]>0&&t.num_edge_entries>0){for(var c=Math.min(t.num_edge_entries,e[0]),o=0;c>o;o++)u(o);t.num_edge_entries<e[0]&&t.ellipse_text&&jQuery("<span class='ellipse'>"+t.ellipse_text+"</span>").appendTo(p)}for(var o=e[0];o<e[1];o++)u(o);if(e[1]<r&&t.num_edge_entries>0){r-t.num_edge_entries>e[1]&&t.ellipse_text&&jQuery("<span class='ellipse'>"+t.ellipse_text+"</span>").appendTo(p);for(var x=Math.max(r-t.num_edge_entries,e[1]),o=x;r>o;o++)u(o)}if(t.next_text&&(r-1>_||t.next_show_always)&&u(_+1,{text:t.next_text,classes:"next"}),!i){p.next().hasClass("total")&&p.next().remove();var m=jQuery("<div>\u5171&nbsp;"+r+"&nbsp;\u9875&nbsp;</div>").addClass("total");p.after(m),i=!0}}var i,_=t.current_page;e=!e||0>e?1:e,t.items_per_page=!t.items_per_page||t.items_per_page<0?1:t.items_per_page;var p=jQuery(this);this.selectPage=function(e,t){return e==_?!1:void s(e,t)},this.prevPage=function(){return _>0?(s(_-1),!0):!1},this.nextPage=function(){return _<n()-1?(s(_+1),!0):!1};var l=this,u=$("#goPageBtn");u.bind("click",function(e){var t=$("#pageNum").val();(1>t||t>n())&&(t=1,$("#pageNum").val(1)),l.selectPage(t-1,e)}),r()})};
//# sourceMappingURL=../../map/plugin/pagination/jquery.pagination.js.map
